Ask Twilio how an unconfirmed purchase ended (never buys)
POST
/v1/workspace/numbers/purchases/{purchase_id}/check
const url = 'https://api.vocapable.com/v1/workspace/numbers/purchases/example/check';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/numbers/purchases/example/check \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”purchase_id
required
Purchase Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceNumberPurchase
object
id
required
Id
string
phone_e164
required
Phone E164
string
number_type
required
Number Type
string
state
required
State
string
messaging_enrollment
required
Messaging Enrollment
string
emergency_address_required
required
Emergency Address Required
boolean
requested_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
created_at
required
Created At
string format: date-time
Example
{ "number_type": "local", "state": "started", "messaging_enrollment": "pending"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}